<!DOCTYPE html>
<html style="font-size: 16px;" xmlns:th="http://www.thymeleaf.org">
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="utf-8">
    <meta name="keywords" content="PhotoContest">
    <meta name="description" content="">
    <meta name="page_type" content="np-template-header-footer-from-plugin">
    <title>Register</title>
    <link rel="stylesheet" th:href="@{../assets/css/login-style.css}" href="../static/assets/css/login-style.css" media="screen">
<link rel="stylesheet" th:href="@{../assets/css/register.css}" href="../static/assets/css/register.css" media="screen">
    <script class="u-script" type="text/javascript" th:src="@{../assets/js/jquery.js}" src="../static/assets/js/jquery.js" defer=""></script>
    <script class="u-script" type="text/javascript" th:src="@{../assets/js/login.js}" src="../static/assets/js/login.js" defer=""></script>
    <meta name="generator" content="Nicepage 3.12.0, nicepage.com">
    <link id="u-theme-google-font" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i|Open+Sans:300,300i,400,400i,600,600i,700,700i,800,800i">
    <link id="u-page-google-font" rel="stylesheet" href="https://fonts.googleapis.com/css?family=Ubuntu:300,300i,400,400i,500,500i,700,700i|Raleway:100,100i,200,200i,300,300i,400,400i,500,500i,600,600i,700,700i,800,800i,900,900i">


    <script type="application/ld+json">{
		"@context": "http://schema.org",
		"@type": "Organization",
		"name": "",
		"url": "index.html"
}</script>
    <meta property="og:title" content="Register">
    <meta property="og:type" content="website">
    <meta name="theme-color" content="#478ac9">
    <link rel="canonical" th:href="@{/}" href="index.html">
    <meta property="og:url" content="index.html">
  </head>
  <body class="u-body u-overlap u-overlap-transparent"><header class="u-clearfix u-header u-image u-image-tiles u-header" id="sec-afed" data-image-width="2000" data-image-height="1333"><div class="u-clearfix u-sheet u-valign-middle u-sheet-1">
        <nav class="u-align-left u-menu u-menu-dropdown u-offcanvas u-menu-1" data-responsive-from="XL">
          <div class="menu-collapse">
            <a class="u-button-style u-nav-link" href="#" style="font-size: calc(1em + 8px);">
              <svg class="u-svg-link" preserveAspectRatio="xMidYMin slice" viewBox="0 0 302 302" style=""><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#svg-5c50"></use></svg>
              <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" id="svg-5c50" x="0px" y="0px" viewBox="0 0 302 302" style="enable-background:new 0 0 302 302;" xml:space="preserve" class="u-svg-content"><g><rect y="36" width="302" height="30"></rect><rect y="236" width="302" height="30"></rect><rect y="136" width="302" height="30"></rect>
</g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g></svg>
            </a>
          </div>
          <div class="u-custom-menu u-nav-container">
            <ul class="u-nav u-unstyled u-nav-1"><li class="u-nav-item"><a class="u-button-style u-nav-link u-text-active-palette-1-base u-text-hover-palette-2-base" href="Page-1.html" style="padding: 10px 20px;">Page 1</a>
</li><li class="u-nav-item"><a class="u-button-style u-nav-link u-text-active-palette-1-base u-text-hover-palette-2-base" href="Page-2.html" style="padding: 10px 20px;">Login</a>
</li><li class="u-nav-item"><a class="u-button-style u-nav-link u-text-active-palette-1-base u-text-hover-palette-2-base" href="../../../../../../../../../Documents/Nicepage%20Templates/Site3/Home.html" style="padding: 10px 20px;">Home</a>
</li><li class="u-nav-item"><a class="u-button-style u-nav-link u-text-active-palette-1-base u-text-hover-palette-2-base" href="Page-1.html" style="padding: 10px 20px;">Page 1</a>
</li><li class="u-nav-item"><a class="u-button-style u-nav-link u-text-active-palette-1-base u-text-hover-palette-2-base" href="Page-2.html" style="padding: 10px 20px;">Login</a>
</li></ul>
          </div>
          <div class="u-custom-menu u-nav-container-collapse">
            <div class="u-align-center u-black u-container-style u-inner-container-layout u-opacity u-opacity-95 u-sidenav">
              <div class="u-sidenav-overflow">
                <div class="u-menu-close"></div>
                <ul class="u-align-center u-nav u-popupmenu-items u-unstyled u-nav-2">
                    <li class="u-nav-item"><a
                            class="u-button-style u-nav-link" href="dashboard.html" th:href="@{/}"
                            th:text="Home">Home</a>
                    </li>
                    <li th:if="${currentUser != null }"
                        class="u-nav-item"><a
                            class="u-button-style u-nav-link" href="contests.html" th:href="@{contests}"
                            th:text="Contests">Contests</a>
                    </li>
                    <li th:if="${currentUser != null && currentUser.getUserCredentials().isOrganizer()}"
                        class="u-nav-item"><a
                            class="u-button-style u-nav-link" href="dashboard.html" th:href="@{dashboard}"
                            th:text="Dashboard">Dashboard</a>
                    </li>
                    <li class="u-nav-item"><a
                            class="u-button-style u-nav-link" href="contest-about.html" th:href="@{/contests/about}"
                            th:text="#{contests.about}">About Contests</a>
                    </li>
                    <li class="u-nav-item"><a
                            class="u-button-style u-nav-link" href="ranks-about.html" th:href="@{/ranks/about}"
                            th:text="#{ranks.about}">About Our Ranking System</a>
                    </li>
                </ul>
              </div>
            </div>
            <div class="u-black u-menu-overlay u-opacity u-opacity-70"></div>
          </div>
        </nav>
        <h1 class="u-custom-font u-font-raleway u-text u-text-body-alt-color u-text-1">
          <a class="u-active-none u-border-none u-btn u-button-link u-button-style u-hover-none u-none u-text-white u-btn-1" th:href="@{/}" href="#">PhotoContest</a>
        </h1>
      </div></header>
    <section class="u-clearfix u-image u-section-1" id="sec-219e" data-image-width="1280" data-image-height="853">
      <div class="u-clearfix u-sheet u-sheet-1">
        <div class="u-align-left u-container-style u-group u-white u-group-1">
          <div class="u-container-layout u-container-layout-1">
            <h1 class="u-custom-font u-font-ubuntu u-text u-text-1">Register</h1>
            <div class="u-expanded-width u-form u-form-1">
              <form th:action="@{/register}" th:object="${register}" action="#" method="POST" class="u-clearfix u-form-spacing-27 " style="padding: 0px;" source="custom" name="form">
                <div class="u-form-group u-form-name u-form-group-1">
                  <label for="name-30a4" class="u-form-control-hidden u-label">Name</label>
                  <input th:field="*{firstName}"type="text" placeholder="First Name" id="name-30a4" name="firstName" class="u-border-2 u-border-black u-border-no-left u-border-no-right u-border-no-top u-input u-input-rectangle u-white u-input-1" required="">
                    <label class="error-message" th:errors="*{firstName}">First Name error placeholder</label>

                </div>
                <div class="u-form-address u-form-group u-form-group-2">
                  <label for="address-2045" class="u-form-control-hidden u-label">Address</label>
                    <input  th:field="*{lastName}" type="text" placeholder="Last Name" id="address-2045" name="lastName" class="u-border-2 u-border-black u-border-no-left u-border-no-right u-border-no-top u-input u-input-rectangle u-white u-input-2" required="">
                    <label class="error-message" th:errors="*{lastName}">Last Name error placeholder</label>

                </div>
                <div class="u-form-group u-form-name u-form-group-4">
                  <label for="name-7ea5" class="u-form-control-hidden u-label">Name</label>
                  <input th:field="*{username}" type="text" placeholder="Enter Username" id="name-7ea5" name="username" class="u-border-2 u-border-black u-border-no-left u-border-no-right u-border-no-top u-input u-input-rectangle u-white u-input-4" required="">
                    <label class="error-message" th:errors="*{username}">Username error placeholder</label>

                </div>
                <div class="u-form-group u-form-name u-form-group-5">
                  <label for="name-5886" class="u-form-control-hidden u-label">Name</label>
                  <input th:field="*{password}" type="password" placeholder="Enter Password" id="name-5886" name="password" class="u-border-2 u-border-black u-border-no-left u-border-no-right u-border-no-top u-input u-input-rectangle u-white u-input-5" required="">
                    <label class="error-message" th:errors="*{password}">Password error placeholder</label>

                </div>
                <div class="u-form-group u-form-name u-form-group-6">
                  <label for="name-0277" class="u-form-control-hidden u-label">Name</label>
                  <input th:field="*{passwordConfirm}" type="password" placeholder="Confirm Password" id="name-0277" name="confirmPassword" class="u-border-2 u-border-black u-border-no-left u-border-no-right u-border-no-top u-input u-input-rectangle u-white u-input-6" required="">
                    <label class="error-message" th:errors="*{passwordConfirm}">Password Confirm error placeholder</label>

                </div>
                  <div class="u-form-group">
                      <input type="submit" value="Register" class="u-active-grey-75 u-black u-border-1 u-border-active-grey-75 u-border-black u-border-hover-grey-75 u-btn u-btn-submit u-button-style u-hover-grey-75" >
                  </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </section>
    <style class="u-overlap-style">.u-overlap:not(.u-sticky-scroll) .u-header {
}</style>


    <footer class="u-align-center u-clearfix u-footer u-grey-80 u-footer" id="sec-6201"><div class="u-clearfix u-sheet u-sheet-1">
        <p class="u-small-text u-text u-text-variant u-text-1">Sample text. Click to select the text box. Click again or double click to start editing the text.</p>
      </div></footer>
  </body>
</html>